com.holonplatform.core

## Interface ExpressionResolver.ExpressionResolverBuilder<C extends ExpressionResolver.ExpressionResolverBuilder<C>>

- Type Parameters:
    `C` - Concrete builder type
  All Known Subinterfaces:
    AsyncBulkDelete, AsyncBulkInsert, AsyncBulkUpdate, AsyncDelete, AsyncInsert, AsyncQuery, AsyncRefresh, AsyncSave, AsyncUpdate, BeanBulkDelete<T>, BeanBulkDeleteOperation<B,O>, BeanBulkInsert<T>, BeanBulkInsertOperation<B,O>, BeanBulkUpdate<T>, BeanBulkUpdateOperation<B,O>, BeanDatastoreOperation<O,C>, BeanDatastoreOperationBuilder<B>, BeanQuery<T>, BeanQueryBuilder<Q>, BulkDelete, BulkDeleteOperation<R,O>, BulkInsert, BulkInsertOperation<R,O>, BulkUpdate, BulkUpdateOperation<R,O>, DatastoreOperation<O,C>, DatastoreOperationConfiguration.Builder<B>, DatastoreOperations.Builder<D,B>, Delete, ExecutableBulkOperation<R,C,O>, ExecutablePropertyBoxOperation<R,O>, Insert, LockQuery, PropertyBoxOperation<O,C>, PropertyBoxOperationConfiguration.Builder<B>, Query, QueryBuilder<Q>, Refresh, Save, SubQuery<T>, Update
  Enclosing interface:
    ExpressionResolver<E extends Expression,R extends Expression>

      public static interface ExpressionResolver.ExpressionResolverBuilder<C extends ExpressionResolver.ExpressionResolverBuilder<C>>

  Builder fragment to support `ExpressionResolver` registration.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E extends Expression,R extends Expression> C` | `withExpressionResolver(ExpressionResolver<E,R> expressionResolver)` Add an `ExpressionResolver`.

- - ### Method Detail

    - #### withExpressionResolver

          <E extends Expression,R extends Expression> C withExpressionResolver(ExpressionResolver<E,R> expressionResolver)

      Add an `ExpressionResolver`.
      Type Parameters:
        `E` - Expression type
        `R` - Resolved expression type
      Parameters:
        `expressionResolver` - The resolver to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.